Subject: Re: bug#32296: cups not started

From: Oleg Pykhalov <[email-masked]>
Date: Wed, 01 Aug 2018 16:59:23 +0300

Hello,

Gnu Röoty <[email-masked]> writes:

> Hi I have a problem with the CUPS service.

What is the problem?

Does ‘sudo herd status cups’ tells the service is not started?

What about listening ports and running process?

Does ‘netstat’ response is differ for you?
--8<---------------cut here---------------start------------->8---
$ sudo netstat -plunt | grep cups
tcp        0      0 127.0.0.1:631           0.0.0.0:*               LISTEN      459/cupsd
tcp6       0      0 ::1:631                 :::*                    LISTEN      459/cupsd
--8<---------------cut here---------------end--------------->8---

And ‘pgrep’?
--8<---------------cut here---------------start------------->8---
$ pgrep -fa cups
459 /gnu/store/4f5309lrqj4y4r0zajbgkja610gxg2z2-cups-2.2.8/sbin/cupsd -f -c /gnu/store/7fwyhl7j4ims62lfysjrzvlr8pb1x67v-cupsd.conf -s /gnu/store/za00ywd2app6a8pw4hrcgwzcy18sgana-cups-files.conf
--8<---------------cut here---------------end--------------->8---

> I put the script
>
> (service cups-service-type
> (cups-configuration
> (web-interface? #t)
> (extensions
> (list cups-filters hplip))))
> 
> and I have put in the 'use-service-module cups' and 'use-package-module
> cups'

The snippet look legit.  Could you post your full system ‘config.scm’?

> I upgrade  my GuixSD with sudo -E guix system reconfigure /etc/config
> but it's same.

I run a ‘sudo -E guix system reconfigure /etc/config’ command [1] to
reconfigure my system, too.  Did you run ‘guix pull’ before [1] command?

What does ‘guix --version’ tell?

Do logs contain useful information (‘/var/log/messages’ and
‘/var/log/cups/access_log’, ‘/var/log/cups/error_log’ files)?

Thanks,
Oleg.